:root {
    --brand-orange: #EA5933; /* Color extraído del logotipo */
    --brand-dark: #333333;   /* Gris Oxford del logotipo */
    --brand-black: #1A1A1A;
    --text-main: #4A4A4A;
    --bg-light: #FBFBFB;
}

* { margin: 0; padding: 0; box-sizing: border-box; }

body {
    font-family: 'Poppins', sans-serif;
    color: var(--brand-black);
    background-color: var(--bg-light);
    overflow-x: hidden;
}

h2{font-size: 2.25rem; color: var(--brand-orange);line-height: 2; margin: 50px 0; text-align: center;}
/*FUENTE*/
.poppins-thin {
  font-family: "Poppins", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.poppins-extralight {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  font-style: normal;
}

.poppins-light {
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.poppins-regular {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.poppins-medium {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.poppins-semibold {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.poppins-bold {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.poppins-extrabold {
  font-family: "Poppins", sans-serif;
  font-weight: 800;
  font-style: normal;
}

.poppins-black {
  font-family: "Poppins", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.poppins-thin-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 100;
  font-style: italic;
}

.poppins-extralight-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  font-style: italic;
}

.poppins-light-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.poppins-regular-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.poppins-medium-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.poppins-semibold-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: italic;
}

.poppins-bold-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.poppins-extrabold-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 800;
  font-style: italic;
}

.poppins-black-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 900;
  font-style: italic;
}
/*Contenedeores generales*/
.container { max-width: 1200px; margin: 0 auto; padding: 0 25px; }
/*Contenedor sección video*/
.container-hero{    
    background: black;
    margin: 0;
    padding: 0;
    width: 100%;   
    height: 100vh; 
    display:flex;    
}
.container-gallery, .container-gallery-1{
  margin: 1em auto;
  padding: 1em;
  max-width: 49%;
  display: inline-block;
}
.container-gallery-1{
  max-width: 100%;
  
}

/* NAVBAR */
.navbar {
    /*height: 80px;
    display: flex;
    align-items: center;
    background:var(--brand-black);
    background: rgba(255, 255, 255, 0.2);
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;*/
    position: fixed;
    z-index: 99;
    width: 100%;  
    background: rgba( 0, 0, 0, 0.1);
    box-shadow: 0 2px 15px rgba(0,0,0,0.05);  
}
.navbar:hover{
  background: var(--brand-dark);
  transition: all 0.5s;
}

.brand-logo { height: 75px; width: auto;}

.badge {color: var(--brand-orange);}
nav .wrapper{
  position: relative;
  max-width: 100%;
  padding: 0px 30px;
  height: 100px;
  line-height: 70px;
  margin: auto;
  display: flex;
  align-items: left;
  justify-content: space-between;
}
/* Ocultar checkbox y botón menú */
#menu-toggle { display: none; }
.menu-icon { display: none; color:var(--brand-orange); cursor: pointer; font-size: 1.75em; font-weight: 800; }
.nav-links { list-style: none; display: flex; gap: 30px; align-items: center; margin-left: auto; padding: 5px 35px;}
.nav-links a { text-decoration: none; color: var(--brand-orange); font-weight: 500; font-size: 1rem; }
.nav-links a:hover{font-weight: 600; color: var(--bg-light); transition: all 0.25s;}
.btn-nav { background: var(--brand-orange); color: white !important; padding: 10px 20px; border-radius: 4px; transition: 0.3s; }

/* HERO */
.hero {
    /*padding: 160px 0 100px;
    background: radial-gradient(circle at top right, #fff, #f4f4f4);*/
    background: radial-gradient(circle at top right, #fff, #f4f4f4);    
    display: flex;

    
}
.video-hero{    
    position: flex;
    right: 0;
    bottom: 0;
    width: 100%;    
    height: 100vh;
    /*z-index: -100; /*Enviarlo al Fondo*/
    object-fit: cover; /* Cubre toda la pantalla */   
}
.hero-content{
    width: 100%;
    height: 100vh;
    margin:0%;
    z-index: 1;
    position: absolute;       
    background: radial-gradient(circle,rgba(0, 0, 0, 0.35) 0%, rgba(22, 22, 22, 0.75) 50%, rgba(0, 0, 0, 0.75) 100%);
    padding: 12.5% 10%;
    align-items: center;
}
.hero h1 { font-size: 3.8rem; font-weight: 700; line-height: 1.1; margin: 20px 0; color: var(--brand-dark); }
.hero-content h1 {color: white !important;}
.hero h1 strong { color: var(--brand-orange); }
.hero-content p { font-size: 1.25rem; color: var(--bg-light); max-width: 650px; margin-bottom: 40px; }

/* BOTONES */
.btn { padding: 16px 35px; border-radius: 4px; font-weight: 700; cursor: pointer; border: none; transition: 0.4s; text-decoration: none; display: inline-block; }
.primary { background: var(--brand-orange); color: white; }
.secondary { border: 2px solid var(--brand-orange); color: var(--brand-orange); margin-left: 15px; }
.primary:hover { transform: translateY(-3px); box-shadow: 0 12px 25px rgba(234, 89, 51, 0.3); }

/* CARDS */
.grid { display: grid; grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); gap: 40px; margin-top: 60px; }
.card { background: white; padding: 50px 40px; border-bottom: 4px solid #eee; transition: 0.3s; }
.card:hover { border-color: var(--brand-orange); transform: translateY(-5px); }
.card-icon { font-size: 2.5rem; margin-bottom: 20px; display: block; }
.card h3 { color: var(--brand-dark); margin-bottom: 15px; }

/* COBERTURA SECTION */
.bg-dark { background: var(--brand-dark); color: white; padding: 100px 0; }
.text-white { color: white; font-size: 2.5rem; margin-bottom: 20px; }
.text-light { color: #BBB; font-size: 1.1rem; }
.location-list { list-style: none; margin-top: 30px; }
.location-list li { margin-bottom: 12px; padding-left: 25px; position: relative; }
.location-list li::before { content: "→"; position: absolute; left: 0; color: var(--brand-orange); }

/* FORMULARIO */
.form-container { background: white; padding: 60px; border-radius: 12px; box-shadow: 0 30px 60px rgba(0,0,0,0.1); margin-top: -50px; position: relative; z-index: 10; }
.form-header { margin-bottom: 40px; text-align: center; }
.form-row { display: flex; gap: 20px; margin-bottom: 20px; }
.modern-form input,.modern-form select { flex: 1; padding: 15px; border: 1px solid #ddd; border-radius: 6px; font-family: inherit; font-size: 1rem; }
.full-width { width: 100%; }

/* FOOTER */
.footer { padding: 60px 0; background: #eee; text-align: center; }
.footer-logo { height: 40px; opacity: 0.8; margin-bottom: 20px; }


/* GALERIA DE IMAGENES*/
.gallery {
  --size: 100px;
  display: grid;
  grid-template-columns: repeat(6, var(--size));
  grid-auto-rows: var(--size);
  margin-bottom: var(--size);
  place-items: start center;
  gap: 5px;
  
  &:has(:hover) img:not(:hover),
  &:has(:focus) img:not(:focus){
    filter: brightness(0.5) contrast(0.5);
}

  & img {
    object-fit: cover;
    width: calc(var(--size) * 2);
    height: calc(var(--size) * 2);
    clip-path: path("M90,10 C100,0 100,0 110,10 190,90 190,90 190,90 200,100 200,100 190,110 190,110 110,190 110,190 100,200 100,200 90,190 90,190 10,110 10,110 0,100 0,100 10,90Z");
    transition: clip-path 0.25s, filter 0.75s;
    grid-column: auto / span 2;
    border-radius: 5px;

    &:nth-child(5n - 1) { 
      grid-column: 2 / span 2 
    }

    &:hover,
    &:focus {
      clip-path: path("M0,0 C0,0 200,0 200,0 200,0 200,100 200,100 200,100 200,200 200,200 200,200 100,200 100,200 100,200 100,200 0,200 0,200 0,100 0,100 0,100 0,100 0,100Z");
      z-index: 1;
      transition: clip-path 0.25s, filter 0.25s;
    }
    
    &:focus {
      outline: 1px dashed black;
      outline-offset: -5px;
    }
  }
}
/* MOBILE RESPONSIVE */
@media (max-width: 768px) {
  h2{font-size: 2rem; color: var(--brand-orange);line-height:1em; margin: 50px 0; text-align: center;}
  .hero-content{padding: 25% 5%;}
  .brand-logo { height: 55px; width: auto;}  
  .menu-icon { display:block;}
  .navbar { max-width: 100%; display: block;}   
  .nav-links {
      display: none; /* Ocultar menú por defecto */
      flex-direction: column;
      width: 100%;
      background-color:var(--bg-light);
      position: absolute;
      top: 50px;
      left: 0;
      text-align: center;
  }
  .nav-links li { padding: 15px; }  
  /* Mostrar menú cuando checkbox está marcado */
  #menu-toggle:checked ~ .nav-links { display: flex; }

  .hero h1 { font-size: 2.4rem; }
  
  .container-gallery, .container-gallery-1{    
    margin:0;
    padding:0;
    max-width: 100% !important;
    display: flex;
  }
  .container-gallery-1{ display: none !important; }
  .gallery {
    --size: 90px;
    display: block;
    grid-template-columns: repeat(4, var(45px));
    grid-auto-rows: var(--size);
    margin-bottom: var(150px);
    place-items: start center;
    gap: 5px;  
  }
  .gallery img { 
    clip-path: polygon(0% 0%, 100% 0%, 100% 75%, 50% 100%, 0% 75%);
    /*clip-path: path('M50 0 L100 100 L0 70 Z');*/
 }
  .form-container { background:var(--bg-light); padding: 1.25em; border-radius: 12px; margin-top: -25px; position: relative; z-index: 10; }
  .form-row { flex-direction: column; gap: 15px; }
  .secondary { margin-left: 0; margin-top: 15px; width: 100%; text-align: center; }
  .primary { width: 100%; text-align: center; }
}